Bug 42607 - Help + Docu should explain importance of settings 'Calc-Calculate-Date base setting' for document import and copy dates
Summary: Help + Docu should explain importance of settings 'Calc-Calculate-Date base s...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Number-Format
  Show dependency treegraph
 
Reported: 2011-11-04 17:31 UTC by Mike Finch
Modified: 2019-12-03 13:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
DocumentA.ods (32.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-11-23 04:18 UTC, Mike Finch
Details
DocumentB.ods (20.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-11-23 04:18 UTC, Mike Finch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Finch 2011-11-04 17:31:05 UTC
When I copy and paste a date in dd-mm-yyyy format it used to be the case that one day was gained!

I've now noticed that in a lot of cases 4 years are also gained!! The latter included dates prior to a column freeze operation (to the immediate right).

This bug applies to the recent versions of calc.

Most annoying - can someone fix it?

An example is 29-Apr-11 being reproduced as 30-Apr-15.

In previous versions to 3.4.3 I had only noticed one day being gained; now it is years also! (As I say above it appears that the yyyy might be affected by a freeze operation?!).

Mike F.
Comment 1 Rainer Bielefeld Retired 2011-11-05 04:01:19 UTC
NOT reproducible with "LibreOffice 3.4.4RC2  - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:402)]" 

@Mike Finch:
I believe your report is faulty concerning formatting string.

May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport> carefully?
Then please:
- Write a meaningful Summary
- Attach a sample document (not only screenshot)
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment. Best way is to insert your screenshots
  into a DRAW document and to add comments that explain what you want to show
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem (and if possible how to created a 
  sample document from the scratch)
- add information 
  -- what exactly is unexpected
  -- and why do you believe it's unexpected (cite Help or Documentation!)
  -- concerning your PC 
  -- concerning your OS (Version, Distribution, Language)
  -- concerning your LibO version and localization (UI language)
  –- Libo settings that might be related to your problems 
    (Localization settings, default date handling, ...)
  -- how you launch LibO and how you opened the sample document
  –- If you can contribute an OOo Issue that might be useful
  -- everything else crossing your mind after you read linked texts
Comment 2 Mike Finch 2011-11-06 15:28:16 UTC
Yes! you are referring to the vague reference to using freeze. Please ignore that and try to solve 
the basic problem!!

-------- Original Message --------
Subject: 	Re: [Bug 42607] FORMATTING
Date: 	Mon, 07 Nov 2011 08:47:12 +1000
From: 	Michael James Finch <mikfinch@bigpond.net.au>
To: 	bugzilla-daemon@freedesktop.org



Rainer : I'm sorry I haven't followed convention! I thought my text delivery was clear enough : but
I think I omitted to say I use linux, not the Windows variant.

It's simple : copy (ctrl-c) and paste (ctrl-v) of a date (as dd-mm-yyyy).

I notice you refer to v 3.4.4RC2 : maybe it's fixed in that version? I use 3.4.3, but the problem
goes back several versions.

I'm simply too busy to offer anther version of my submission. (Your English seems to be excellent so
I'm sure you understand what I'm saying!).

What else can I do? I think I made it clear enough!!

Please let me know again if I'm omitting something vital.

bugzilla-daemon@freedesktop.org wrote:
>  https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
>  Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>   changed:
>
>              What    |Removed                     |Added
>  ----------------------------------------------------------------------------
>                    CC|                            |LibreOffice@bielefeldundbus
>                      |                            |s.de
>              Keywords|                            |NEEDINFO
>
>  --- Comment #1 from Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>   2011-11-05 04:01:19 UTC ---
>  NOT reproducible with "LibreOffice 3.4.4RC2  - WIN7 Home Premium (64bit) German
>  UI [OOO340m1 (Build:402)]"
>
>  @Mike Finch:
>  I believe your report is faulty concerning formatting string.
>
>  May I ask you to read  hints on<http://wiki.documentfoundation.org/BugReport>
>  carefully?
>  Then please:
>  - Write a meaningful Summary
>  - Attach a sample document (not only screenshot)
>  - Attach screenshots with comments if you believe that that might explain the
>     problem better than a text comment. Best way is to insert your screenshots
>     into a DRAW document and to add comments that explain what you want to show
>  - Contribute a step by step instruction containing every key press and every
>     mouse click how to reproduce your problem (and if possible how to created a
>     sample document from the scratch)
>  - add information
>     -- what exactly is unexpected
>     -- and why do you believe it's unexpected (cite Help or Documentation!)
>     -- concerning your PC
>     -- concerning your OS (Version, Distribution, Language)
>     -- concerning your LibO version and localization (UI language)
>     â- Libo settings that might be related to your problems
>       (Localization settings, default date handling, ...)
>     -- how you launch LibO and how you opened the sample document
>     â- If you can contribute an OOo Issue that might be useful
>     -- everything else crossing your mind after you read linked texts
>
Comment 3 Mike Finch 2011-11-06 17:19:49 UTC
Rainer : I'm sorry I haven't followed convention! I thought my text delivery was clear enough : but 
I think I omitted to say I use linux, not the Windows variant.

It's simple : copy (ctrl-c) and paste (ctrl-v) of a date (as dd-mm-yyyy).

I notice you refer to v 3.4.4RC2 : maybe it's fixed in that version? I use 3.4.3, but the problem 
goes back several versions.

I'm simply too busy to offer anther version of my submission. (Your English seems to be excellent so 
I'm sure you understand what I'm saying!).

What else can I do? I think I made it clear enough!!

Please let me know again if I'm omitting something vital.

bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |LibreOffice@bielefeldundbus
>                     |                            |s.de
>             Keywords|                            |NEEDINFO
>
> --- Comment #1 from Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  2011-11-05 04:01:19 UTC ---
> NOT reproducible with "LibreOffice 3.4.4RC2  - WIN7 Home Premium (64bit) German
> UI [OOO340m1 (Build:402)]"
>
> @Mike Finch:
> I believe your report is faulty concerning formatting string.
>
> May I ask you to read  hints on<http://wiki.documentfoundation.org/BugReport>
> carefully?
> Then please:
> - Write a meaningful Summary
> - Attach a sample document (not only screenshot)
> - Attach screenshots with comments if you believe that that might explain the
>    problem better than a text comment. Best way is to insert your screenshots
>    into a DRAW document and to add comments that explain what you want to show
> - Contribute a step by step instruction containing every key press and every
>    mouse click how to reproduce your problem (and if possible how to created a
>    sample document from the scratch)
> - add information
>    -- what exactly is unexpected
>    -- and why do you believe it's unexpected (cite Help or Documentation!)
>    -- concerning your PC
>    -- concerning your OS (Version, Distribution, Language)
>    -- concerning your LibO version and localization (UI language)
>    –- Libo settings that might be related to your problems
>      (Localization settings, default date handling, ...)
>    -- how you launch LibO and how you opened the sample document
>    –- If you can contribute an OOo Issue that might be useful
>    -- everything else crossing your mind after you read linked texts
>
Comment 4 Korrawit Pruegsanusak 2011-11-07 01:03:29 UTC
Also [NOT RERPODUCIBLE] LibreOffice 3.4.3 Ubuntu 11.10 en_US

This is my test steps:
A. Default Formatting:
1. Open new calc document
2. In A1, enter "4/29/11" without quote and hit enter. It will be shown as "04/29/11"
3. In A1, Ctrl+C or right-click and select Copy
4. In A2, Ctrl+V or right-click and select Paste
5. Notice that cell A2 contains "04/29/11", identical to A1, which is expected

B. Custom Formatting:
1. Open new calc document
2. right-click and select "Format Cells..."
3. Select "Date"
4. Enter "Format code" as "D-MMM-YYYY", then OK
5. In A1, enter "4/29/11" without quote and hit enter. It will be shown as "29-Apr-2011"
6. In A1, Ctrl+C or right-click and select Copy
7. In A2, Ctrl+V or right-click and select Paste
8. Notice that cell A2 contains "29-Apr-2011", identical to A1, which is expected

Mike, please report your steps that produce the issue like mine. Also, some screenshots/screencast (video clip) is appreciated. Thanks.
Comment 5 Mike Finch 2011-11-07 18:08:07 UTC
Rainer : I appreciate your effort in composing your detailed reply

When I referred to DD-MM-YYYY format I should have said DD-MMM-YY. Sorry.

In your email you seem to be dealing with two spreadsheets IN ISOLATION. I meant copying from ONE TO 
THE OTHER!

I've just tried this (in 3.4.3) and am absolutely astonished : the first try gave no change, the 
second WENT BACK one day!!! Neither advanced one day!?!?

I'm all at sea now! There seems to be inconsistency going on[?].

If I right click on a date : Format cells... : Numbers : Date, there seem to be a different number 
of options in the list than choosing a blank cell (in a blank spreadsheet).

Anyway I'm downright confused now.

Could you please have a go at copy/pasting between different spreadsheets and see how you go?

Also what prompted me to use bugzilla was the very weird sensation of seeing the year advanced by 
four - into the future; it so happens that I'd frozen the column(s) containing the dates (two 
columns at the LHS).

This is another problem that needs a solution.

If you concur that there is weirdness going on then I will make an effort to put in a formal 
submission.



bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Korrawit Pruegsanusak<detective.conan.1412@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |detective.conan.1412@gmail.
>                     |                            |com
>
> --- Comment #4 from Korrawit Pruegsanusak<detective.conan.1412@gmail.com>  2011-11-07 01:03:29 UTC ---
> Also [NOT RERPODUCIBLE] LibreOffice 3.4.3 Ubuntu 11.10 en_US
>
> This is my test steps:
> A. Default Formatting:
> 1. Open new calc document
> 2. In A1, enter "4/29/11" without quote and hit enter. It will be shown as
> "04/29/11"
> 3. In A1, Ctrl+C or right-click and select Copy
> 4. In A2, Ctrl+V or right-click and select Paste
> 5. Notice that cell A2 contains "04/29/11", identical to A1, which is expected
>
> B. Custom Formatting:
> 1. Open new calc document
> 2. right-click and select "Format Cells..."
> 3. Select "Date"
> 4. Enter "Format code" as "D-MMM-YYYY", then OK
> 5. In A1, enter "4/29/11" without quote and hit enter. It will be shown as
> "29-Apr-2011"
> 6. In A1, Ctrl+C or right-click and select Copy
> 7. In A2, Ctrl+V or right-click and select Paste
> 8. Notice that cell A2 contains "29-Apr-2011", identical to A1, which is
> expected
>
> Mike, please report your steps that produce the issue like mine. Also, some
> screenshots/screencast (video clip) is appreciated. Thanks.
>
Comment 6 Korrawit Pruegsanusak 2011-11-07 19:29:39 UTC
(In reply to comment #5)
> If you concur that there is weirdness going on then I will make an effort to
> put in a formal 
> submission.

What is your meaning of "a formal submission" here? If it means "step-by-step description to reach the problem", IMHO you have to put in your formal submission *before* we can conclude whether there is a weirdness or not. Thanks.
Comment 7 Rainer Bielefeld Retired 2011-11-07 22:38:36 UTC
@Mike Finch:
Unfortunately all your comments do not help at all. As Korrawit told you we need a step by step instruciton as you see in report for "Bug 32082 - [EDITING] Table Number Format not modified for empty table cells", starting with "1. Open new spreadsheet document from LibO Ctart Center". 
Please do not spam this issue with useless citations, but give short and precise answers to questions, and attach the requested sample document.
Comment 8 Rainer Bielefeld Retired 2011-11-21 21:55:14 UTC
Not reproducible, no new info, so CLOSED
Comment 9 Mike Finch 2011-11-21 22:37:55 UTC
I suspect the problem is a Mageia/Mandriva problem, so if you want to reproduce the problem (IT IS 
REAL) then I suggest you try their their distributions!

I really don't know the answer : I just know it's a hell of a nuisance (repeating : it is real!! so 
you should look at it).

bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|UNCONFIRMED                 |RESOLVED
>           Resolution|                            |INVALID
>
> --- Comment #8 from Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  2011-11-21 21:55:14 PST ---
> Not reproducible, no new info, so CLOSED
>
Comment 10 Korrawit Pruegsanusak 2011-11-21 23:10:49 UTC
Mike, the ONLY way to make us understand and believe that the problem is real is to "describe how you got the problems STEP-BY-STEP". (example in comment 4) Would you like to try again?
Comment 11 Mike Finch 2011-11-22 20:29:31 UTC
OK! My previous comments were, I think, expressed in pretty clear English; but I'll use the step 
method as follows..............

1. Open a calc document.

2. Open a second document, using File | Open.

3. Copy (ctrl-c) a dd-mmm-yy date (usually as part of a row with other data - but not another date).

4. Move to the other spreadsheet.

5. Paste (ctrl-v) to any cell(s).

6. It used to be the case that the date was advanced by one day.

7. Recently (new version of LO or now using Mageia - instead of Mandriva? - simply not sure) the 
year has also been advanced by 4 years!! (Irritating for my financial data).

8. When I did a test prior to one of my recent messages, there was no change in one case; another 
went BACK one day!!!?? Lots of frustration.

9. I would like to think that it is perfectly clear what I am saying!

10. Eternal thanks for the excellent work all you developers have done for free software. (I'm a 
keen amateur programmer and web-based database maker, but I wouldn't have the expertise to help you 
people : only whinge about errors!).

11. Hope you can crack this one - it is surprising (but mysterious) that you can't reproduce the 
problem.

Good luck, Mike Finch.

bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> --- Comment #10 from Korrawit Pruegsanusak<detective.conan.1412@gmail.com>  2011-11-21 23:10:49 PST ---
> Mike, the ONLY way to make us understand and believe that the problem is real
> is to "describe how you got the problems STEP-BY-STEP". (example in comment 4)
> Would you like to try again?
>
Comment 12 Korrawit Pruegsanusak 2011-11-22 22:26:47 UTC
Created attachment 53802 [details]
DocumentA.ods

Mike, big thank you for you! :)

Anyway, could you please give us more information to help identifying problem? By following this set of questions for *each of problem* in Question 0.

0. What is the problem exactly? Is date increase, decrease, or 4 years gained.

1. In what Operating System and Version did you see (and also not see) the problem? For example:
- Windows 7 LibreOffice 3.4.3 NO PROBLEM
- Mandriva 3.4.3 HAS PROBLEM
- etc...

2. In which locale (language) of LibreOffice you are using? You may see at Tools > Options > Language Settings > Languages. Capturing your screen there, and upload it here, is appreciated.

3. In which particular date(s) (29-April-2011, etc) did you see the problem?

4. And what is the date formatting(s) (dd/mmm/yy, etc) did you see the problem?

5. If you test again with new documents, and the problem occurs again, could you please save those files and upload them here?

Thank you again for helping us make LibreOffice better!

*To developers/QA guys: Note that above are ALL EXAMPLE*
Comment 13 Mike Finch 2011-11-23 04:18:27 UTC
Korrawit : I'm attaching DocumentA.ods and DocumentB.ods. I've removed all sheets bar the relevant 
one in each case.

The line dated "19-Aug" in DocumentA (line 187) was cut and pasted to line 63 in DocumentB. (I did 
it a few minutes ago).

I don't know what is going on, but a day has been LOST. The problem originally was a day being GAINED!!

I first noticed days being gained in OpenOffice and it is only since I brought this problem to your 
notice that I have noticed days being lost (also?).

I will try to explain the 4 years having been gained at a later date; or earlier if you want me to.

This kind of problem hasn't gone away with LibreOffice but the variation (up or down) has only very 
recently been noticed.

I use linux and have tended to use Mageia recently after having used Mandriva for years. (I keep 
updating regularly - but see below).

Language(s) --> The top box says "Default - English (USA)". The second "Default - English 
(Australia)". Default currency is "Default - AUD".

Default language for documents : Western - English (USA).

I'm surprised to see I'm using version 3.3.3; this would be the default with the Mageia 
installation. I obviously haven't kept up to date in this instance! - but I do the general updates 
when they occur.

I hope the attached documents make it clear that there IS a problem!! But why the problem is 
occurring is the mystery.



bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Korrawit Pruegsanusak<detective.conan.1412@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|RESOLVED                    |REOPENED
>           Resolution|INVALID                     |
>       Ever Confirmed|0                           |1
>
> --- Comment #12 from Korrawit Pruegsanusak<detective.conan.1412@gmail.com>  2011-11-22 22:26:47 PST ---
> Mike, big thank you for you! :)
>
> Anyway, could you please give us more information to help identifying problem?
> By following this set of questions for *each of problem* in Question 0.
>
> 0. What is the problem exactly? Is date increase, decrease, or 4 years gained.
>
> 1. In what Operating System and Version did you see (and also not see) the
> problem? For example:
> - Windows 7 LibreOffice 3.4.3 NO PROBLEM
> - Mandriva 3.4.3 HAS PROBLEM
> - etc...
>
> 2. In which locale (language) of LibreOffice you are using? You may see at
> Tools>  Options>  Language Settings>  Languages. Capturing your screen there,
> and upload it here, is appreciated.
>
> 3. In which particular date(s) (29-April-2011, etc) did you see the problem?
>
> 4. And what is the date formatting(s) (dd/mmm/yy, etc) did you see the problem?
>
> 5. If you test again with new documents, and the problem occurs again, could
> you please save those files and upload them here?
>
> Thank you again for helping us make LibreOffice better!
>
> *To developers/QA guys: Note that above are ALL EXAMPLE*
>
Comment 14 Mike Finch 2011-11-23 04:18:29 UTC
Created attachment 53803 [details]
DocumentB.ods
Comment 15 Rainer Bielefeld Retired 2011-11-23 07:40:55 UTC
The documents are not matching with the report, but let's see ;-)

Both Cells mentioned in latest comment show number value 40407, the difference is caused by different settings in the documents in Menu 'Tools -> Options -> Calc -> General - Date':
Document B: 1.1.1904
Document A: 1.1.1900

Seems to be a user error, but I believe Help / Documentation should mention that there is no "absolute" base day definition, but it has to be agree upon outside the document. 

But there remains 1 question: 
I steps in Comment 11 are not fiction, but real experience from an experiment (Seeing the complex sample documents I doubt), there might exist a problem concerning use of different templates or similar with different base day settings (or something similar). I currently can't see something like that, but you never know.

@Mike Finch:
Can you please check and contribute your experience with 2 new documents "and every mouse click ...., it's really important.


@David:
May be you can add some hints to the Calc Manual "Calculate options" - "Date section"? Currently it's not clear why this setting might be important.
Comment 16 Rainer Bielefeld Retired 2011-11-23 07:42:23 UTC
Forgot to add David to CC
Comment 17 Mike Finch 2011-11-23 15:01:04 UTC
Hallelujah! As simple as that, but still a tricky one.

I suppose I'll have to check on what the various spreadsheets I've been using are set at. I've just 
set my finance spreadsheet from 1904 to 1899 (the default) and all the "errors" come back to the 
correct data!!

Much thanks for your help - must confess I didn't think it was a manual enquiry, just a bug. I was 
wrong!

It looks as if my Mageia installation (automatic) of LO was set at 1904 instead of the default. I 
really don't know, but the important thing is "It is solved"!!

(I think you meant : "Menu 'Tools ->  Options ->  Calc ->  Calculate - Date':)



bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|REOPENED                    |NEEDINFO
>
> --- Comment #15 from Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  2011-11-23 07:40:55 PST ---
> The documents are not matching with the report, but let's see ;-)
>
> Both Cells mentioned in latest comment show number value 40407, the difference
> is caused by different settings in the documents in Menu 'Tools ->  Options ->
> Calc ->  General - Date':
> Document B: 1.1.1904
> Document A: 1.1.1900
>
> Seems to be a user error, but I believe Help / Documentation should mention
> that there is no "absolute" base day definition, but it has to be agree upon
> outside the document.
>
> But there remains 1 question:
> I steps in Comment 11 are not fiction, but real experience from an experiment
> (Seeing the complex sample documents I doubt), there might exist a problem
> concerning use of different templates or similar with different base day
> settings (or something similar). I currently can't see something like that, but
> you never know.
>
> @Mike Finch:
> Can you please check and contribute your experience with 2 new documents "and
> every mouse click ...., it's really important.
>
>
> @David:
> May be you can add some hints to the Calc Manual "Calculate options" - "Date
> section"? Currently it's not clear why this setting might be important.
>
Comment 18 Mike Finch 2011-11-23 15:14:48 UTC
I've had a think : re the date "problem" --> would there be a method for somehow maintaining many 
dates in a spreadsheet but being able to switch the date year (what do you call the 1899,1900 and 
1904 conventions?).

A normal user like me would presumably want the setting to be "1899 (default)". Rather than manually 
change many, many dates an alternative would be good.

You can see my position : I would want all my spreadsheets to be in the 1899 form, but I would want 
to avoid all the manual changes.

It should be made hard to change from default (warning message?). Obviously 1900 is designed for 
importation of StarCalc spreadsheets, but why the 1904 option?

Anyway it's all part of "the learning process" but a pity I was "caught" in a non-1899 scenario!

bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|REOPENED                    |NEEDINFO
>
> --- Comment #15 from Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  2011-11-23 07:40:55 PST ---
> The documents are not matching with the report, but let's see ;-)
>
> Both Cells mentioned in latest comment show number value 40407, the difference
> is caused by different settings in the documents in Menu 'Tools ->  Options ->
> Calc ->  General - Date':
> Document B: 1.1.1904
> Document A: 1.1.1900
>
> Seems to be a user error, but I believe Help / Documentation should mention
> that there is no "absolute" base day definition, but it has to be agree upon
> outside the document.
>
> But there remains 1 question:
> I steps in Comment 11 are not fiction, but real experience from an experiment
> (Seeing the complex sample documents I doubt), there might exist a problem
> concerning use of different templates or similar with different base day
> settings (or something similar). I currently can't see something like that, but
> you never know.
>
> @Mike Finch:
> Can you please check and contribute your experience with 2 new documents "and
> every mouse click ...., it's really important.
>
>
> @David:
> May be you can add some hints to the Calc Manual "Calculate options" - "Date
> section"? Currently it's not clear why this setting might be important.
>
Comment 19 Rainer Bielefeld Retired 2011-12-18 07:44:48 UTC
@David:
May be you can add some hints to the Calc Manual "Calculate options" - "Date
section"? Currently it's not clear why this setting might be important.

Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 20 Mike Finch 2011-12-18 21:14:32 UTC
Rainer : good to know some good may come of my observation.

Wouldn't it be satisfactory to abolish all but the default; do we really need different date bases?

No doubt there's something subtle about this topic that I'm unaware of!

bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=42607
>
> Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>           OS/Version|Linux (All)                 |All
>               Status|NEEDINFO                    |NEW
>           AssignedTo|libreoffice-bugs@lists.free |commerce@traduction.biz
>                     |desktop.org                 |
>              Summary|Copy/Paste particular date  |Help + Docu should explain
>                     |to cell in other            |importance of settings
>                     |spreadsheet increases shown |'Calc-Calculate-Date base
>                     |date 1 day                  |setting' for document
>                     |                            |import and copy dates
>             Keywords|NEEDINFO                    |
>
> --- Comment #19 from Rainer Bielefeld<LibreOffice@bielefeldundbuss.de>  2011-12-18 07:44:48 PST ---
> @David:
> May be you can add some hints to the Calc Manual "Calculate options" - "Date
> section"? Currently it's not clear why this setting might be important.
>
> Please feel free to reassign (or reset Assignee to default) if it’s not your
> area or if provided information is not sufficient. Please set Status to
> ASSIGNED if you accept this Bug.
>
Comment 21 Rainer Bielefeld Retired 2011-12-18 21:27:54 UTC
Als long as there are documents using other date/time base we need this selector (menas: more or lessc forever)

@Mike Finch:
It would be great if you could try to learn to write a line without citing 20 ones from the comment before.
Comment 22 Hans de Raad 2012-01-23 03:32:19 UTC
A lot of spreadsheets (and CSV files) i work with on a daily basis have their dates written in the EU/Dutch way, which is dd-mm-yycc

Since LO doesnt recognize these fields as date on import no further formatting is possible, i have to rewrite these columns or apply a DATEVALUE function (in a hidden column) to make these datefields usable for further handling.

Would it be possible, on import (or on formatting) to provide an extra option of selecting a custom date-format as the date-source?

This could (at least in my case) be localisation bound.

PS Big thanks for all the hard work on the LO documentation, its starting to become more rare that i have to switch back to the old OOo docs.
Comment 23 QA Administrators 2014-06-25 17:38:02 UTC Comment hidden (obsolete)
Comment 24 Alex Thurgood 2015-01-03 17:38:39 UTC Comment hidden (no-value)
Comment 25 QA Administrators 2016-01-17 20:03:06 UTC Comment hidden (obsolete)
Comment 26 QA Administrators 2017-03-06 14:03:29 UTC Comment hidden (obsolete)
Comment 27 QA Administrators 2019-12-03 13:58:51 UTC
Dear Mike Finch,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug